import React from 'react';
import { Text, StyleSheet } from 'react-native';
import MaskedView from '@react-native-masked-view/masked-view';
import LinearGradient from 'react-native-linear-gradient';
export const LinearGradientText = props => {
  const {
    text,
    textStyle = {},
    colors,
    start = {
      x: 0.5,
      y: 0.0
    },
    end = {
      x: 0.5,
      y: 1.0
    }
  } = props;
  return /*#__PURE__*/React.createElement(MaskedView, {
    maskElement: /*#__PURE__*/React.createElement(Text, {
      style: [styles.maskText, textStyle]
    }, text)
  }, /*#__PURE__*/React.createElement(LinearGradient, {
    colors: colors,
    start: start,
    end: end
  }, /*#__PURE__*/React.createElement(Text, {
    style: [styles.text, textStyle]
  })));
};
const styles = StyleSheet.create({
  maskText: {
    backgroundColor: 'transparent'
  },
  text: {
    opacity: 0
  }
});
//# sourceMappingURL=LinearGradientText.js.map